Package classycle.util

# Interface StringPattern

All Known Implementing Classes:
  `AndStringPattern`, `NotStringPattern`, `OrStringPattern`, `StringPatternSequence`, `TrueStringPattern`, `WildCardPattern`

public interface StringPattern
Interface for string pattern matching.

Author:
  Franz-Josef Elmer

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(String string)`
Returns `true` if the specified string matches the pattern.

## Method Details

### matches

boolean matches(String string)
Returns `true` if the specified string matches the pattern.

Parameters:
  `string` - String to be matched. Can be `null`.